.btn {
    color: $color-primary;
    background-color: $color-white;
    padding: 0 $dim-padding-default;
    display: inline-block;
    height: $dim-btn-default;
    text-align: center;
    font-size: 11px;
    font-weight: 600;
    line-height: $dim-btn-default;
    letter-spacing: 0.1rem;
    text-transform: uppercase;
    text-decoration: none;
    white-space: nowrap;
    // background-color: transparent;
    border-radius: 4px;
    border: 1px solid #bbb;
    cursor: pointer;
    box-sizing: border-box;

    &:hover {
        color: $color-primary-dark;
    }

    &.-small {
        padding: $dim-padding-small;
    }

    &.-large {
        padding: $dim-padding-large;
    }

    &.-primary {
        color: $color-white;
        background-color: $color-primary;
        border-color: $color-primary;

        &:hover {
            color: $color-white;
            background-color: $color-primary-dark;
            border-color: $color-primary-dark;
        }
    }

    &.-secondary {
        color: $color-white;
        background-color: $color-secondary;
        border-color: $color-secondary;

        &:hover {
            color: $color-white;
            background-color: $color-secondary-dark;
            border-color: $color-secondary-dark;
        }
    }

    &.-clear {
        color: $color-grey;
        background-color: none;

        &:hover {
            color: darken($color-grey, 10%);
        }
    }

    &.-icon {
      border: none;
      padding-top: 0;
      display: inline-block;
      display: inline-flex;
      .material-icons {
        margin: 0 $dim-padding-small;
        font-size: 1.8em;
        line-height: 1.8em;
      }
    }
    .material-icons {
        margin-top: -5px;
    }
}
